{{- if .Values.serviceAccount.create -}}
{{- if .Values.rbac.create -}}
---
kind: "Role"
apiVersion: "rbac.authorization.k8s.io/v1"
metadata:
  name: {{ include "spring-demo-k8s.serviceAccountName" . }}-leader
  labels:
    {{- include "spring-demo-k8s.labels" . | nindent 4 }}
    app.kubernetes.io/component: spring-demo-k8s
rules:
  - apiGroups:
      - ""
      - "extensions"
      - "apps"
    resources:
      - "configmaps"
    verbs:
      - "get"
      - "list"
      - "watch"
      - "create"
      - "update"
{{- end }}
{{- end }}
